//+------------------------------------------------------------------+
//|                                                      ReadInt.mq4 |
//|                        Copyright  2011, NQueiros Software Corp. |
//|                                   Email:nqueirosmail@hotmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, NQueiros Software Corp."
#property link      "Email:nqueirosmail@hotmail.com"
#property library
// This Function is to Read a int Value From Disk Computer
// Function Will Return The int Value if Suceed
// Version 10-01-2012

int ReadInt(string Name="",  //1- Name of File to Read
            string print="") //2- Comment to Print in Terminal
  {
   // Prevent Bugs
   if(StringLen(Name)<=0)return(0); // No Valid Value
    
   // Open File and Get Handle
   int handle=FileOpen(Name,FILE_BIN|FILE_READ);
    
   //if Can't Open File in Hard Disk 
   if(handle<0)
     {
      Print(StringConcatenate("File ",print," not found in hard disk!"));
      return(0);
     }
     else
     {
      int Value=FileReadInteger(handle);
      Print(StringConcatenate("Successfully load ",print," from hard disk!"));
      FileClose(handle);
      return(Value);
     }
    return(0);
   }