//+------------------------------------------------------------------+
//|                                                   ReadString.mq4 |
//|                        Copyright  2012, NQueiros Software Corp. |
//|                                   Email:nqueirosmail@hotmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, NQueiros Software Corp."
#property link      "Email:nqueirosmail@hotmail.com"
#property library
// This Function is to Read a String Value From Disk Computer
// Function Will Return The String Value if Suceed
// Version 28-02-2012

string ReadString(string Name="",  //1- Name of File to Read
                  string print="") //2- Comment to Print in Terminal
     {
      // Prevent Bugs
      if(StringLen(Name)<=0)return(""); // No Valid Value
      
      // Open File and Get Handle
      int handle=FileOpen(Name,FILE_BIN|FILE_READ);
      
      //if Can't Open File in Hard Disk 
      if(handle<0)
        {
         Print(StringConcatenate("File ",print," not found in hard disk!"));
         return("");
        }
        else
        {
         string String=FileReadString(handle,FileSize(handle));
         Print(StringConcatenate("Successfully load ",print," from hard disk!"));
         FileClose(handle);
         return(String);
        }
       return("");
      }