//+------------------------------------------------------------------+
//|                                                  StoreString.mq4 |
//|                        Copyright  2012, NQueiros Software Corp. |
//|                                   Email:nqueirosmail@hotmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, NQueiros Software Corp."
#property link      "Email:nqueirosmail@hotmail.com"
#property library
// This Function is to Store a String Value to Disk Computer
// Function Will Return True if Suceed
// Version 24-02-2012

bool StoreString(string String="", //0- String to be Written to Disk
                 string Name="",   //1- Name of File to Create
                 string print="")  //2- Comment to Print in Terminal
   {
    // Prevent Bugs
    if(StringLen(String)<=0)return(false); // Invalid string
    if(StringLen(Name)<=0)return(false);   // No Valid Value
    
    // Open File and Get Handle
    int handle=FileOpen(Name,FILE_BIN|FILE_WRITE);
    
    //if Can't Create File in Hard Disk 
    if(handle<0)
      {
       Print(StringConcatenate("Can\'t creat file ",print," in hard disk!"));
       return(false);
      }
    // Check for File Write
    if(FileWriteString(handle,String,StringLen(String))<0)
      {
       Print(StringConcatenate("Error writing file",print,"!"));
       FileClose(handle);
       return(false);
      }
      else
      {
       Print(StringConcatenate("Successfully write ",print," to hard disk!"));
       FileClose(handle);
       return(true);
      }
    return(false);
   }